cmake_minimum_required(VERSION 3.10)
project(dehydrate LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Use musl for static linking
set(CMAKE_CXX_COMPILER x86_64-linux-musl-g++)
set(CMAKE_EXE_LINKER_FLAGS "-static")

file(GLOB SOURCES "src/*.cpp")
add_executable(dehydrate ${SOURCES})
target_include_directories(dehydrate PRIVATE include contrib)

# Optionally, include headers
include_directories(include) 